package org.eso.ohs.core.utilities;

/**
 * Refactored from a static public class in multiple AppConfig classes into
 * a single public class in utilities.
 *
 * Used to store object field property information and is configured
 * by an application specifically for that application.
 */

public class ObjConfig {

    public Class key;
    public String[] columnNames;
    public String[] propertyNames;
    public String[] editableProperties;

    public ObjConfig(Class cls,
                        String[] columnNames,
                        String[] propertyNames,
                        String[] editableProperties
                        ) {
        this.key                = cls;
        this.columnNames        = columnNames;
        this.propertyNames      = propertyNames;
        this.editableProperties = editableProperties;
    }
}
