package org.eso.ohs.persistence.dbase;


/**
 * This is a base class for the Phase1 Target and 
 * the Phase2 target business object. Perhaps these 
 * 2 items should be merged.
 * @author ddorigo
 */

public abstract class DbaseHandlerBaseTG extends DbaseIOHandler {

 

    /**
     * Constant for a revolting backwards compatibility kludge.
     * This is "needed" because P2PP v1.x (Tcl/Tk) got it wrong
     * and wrote out the RA in degrees (0..360) and not hours (0..23).
     * I'm not sure why we still need it even though the database
     * format has completely changed since that time but...
     * 
     * <p>
     * XXX Should be removed at earliest opportunity.
     */

    public static final int DEGREES_PER_HOUR = 360 / 24;

}
