#
# Dumping data for table 'instrument'
#
DELETE FROM instrument WHERE ins_id LIKE 'UVES%'\g 
INSERT INTO instrument VALUES ('UVES','UT2','','')\g
# All values of the INS.MODE keyword must be declared hereafter
INSERT INTO instrument VALUES ('UVES-BLUE','UT2','BLUE','lightpath1')\g
INSERT INTO instrument VALUES ('UVES-RED','UT2','RED','lightpath2')\g
#
# insert instrument component table
#
DELETE FROM component WHERE comp_id = 'UVES'\g
INSERT INTO component VALUES ('UVES',NULL,NULL,'Uves','INS','ins/uves','1900-01-01T00:00:00','inf','C','INST')\g

#
# insert actual uves components
#
DELETE FROM real_component WHERE ins_id = 'UVES'\g
INSERT INTO real_component VALUES ('UVES','UVES','Uves','INS')\g
INSERT INTO real_component VALUES ('UVESBlueEEV','UVES','CCD#1','CCD')\g
INSERT INTO real_component VALUES ('UVESRedMIT','UVES','CCD#2','CCD')\g
INSERT INTO real_component VALUES ('UVESRedEEV','UVES','CCD#3','CCD')\g
INSERT INTO real_component VALUES ('UVESFILT1','UVES','FILT#1','FILT')\g
