/**
 * @author N. Kornweibel
 * @version 1.0
 * A simple interface to encalsulate the generation of program descriptions
 * in the DataModel.
 */

package org.eso.gasgano.datamodel;

import org.eso.gasgano.datamodel.gui.OBComponent;

public interface ProgramDescription {

    /**
     * @param p The Program whose description is to be set.
     * @param obc The OBComponent triggering the addition of the Program
     * in the DataModel.
     */
    public void setDescription(Program p, OBComponent obc);
}
// end of file ProgramDescription.java.
