package org.eso.ohs.phase2.apps.p2pp.actions;

import java.awt.event.ActionEvent;

import javax.swing.JComponent;

import org.eso.ohs.core.gui.baseaction.ActionSuperclass;
import org.eso.ohs.persistence.ObjectContainer;
import org.eso.ohs.phase2.apps.p2pp.EngMode;

/**
 * Action class to display the contents of the database.
 *
 * <p>
 * $Id: EngModeAction.java,v 1.5 2005/02/11 10:31:49 tcanavan Exp $
 * <br>
 * @author Tim Canavan
 */

public class EngModeAction extends ActionSuperclass {

    ObjectContainer folderView_;

    /**
     * Constructs a ShowDbaseAction action.
     */
    public EngModeAction(ObjectContainer folderView) {
        super((JComponent)folderView, "Engineering Mode ");
        folderView_ = folderView;
    }

    /**
     * Event handler for the ShowDbaseAction action.
     * 
     * @param ev       user-initiated ActionEvent to quit.
     */
    public void actionPerformedImpl(ActionEvent evt) {
        EngMode engMode = new EngMode("Engineering Mode",folderView_);
        //engMode.show();     
    }

}


